> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add IP to SIP IP Whitelist

> Add a new IP address to your SIP IP whitelist.



## OpenAPI

````yaml post /api/v2/sip/ipWhitelist
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/sip/ipWhitelist:
    post:
      tags:
        - SIP
      summary: Add IP to SIP IP Whitelist
      description: Add a new IP address to your SIP IP whitelist.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - ip
                - label
              properties:
                ip:
                  description: IP address to whitelist
                  type: string
                  example: 192.168.1.1
                label:
                  description: Friendly label for IP
                  type: string
                  example: Office IP
      responses:
        '200':
          description: OK
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: IP entry created successfully
                  whitelist:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          description: User Id
                          type: number
                          example: 3
                        label:
                          description: Friendly label for IP
                          type: string
                          example: Office IP
                        timestamp:
                          description: Timestamp when created
                          type: number
                          example: 1678829072
                        ip:
                          description: Whitelisted IP
                          type: string
                          example: 192.168.1.1
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````